---
marp: true
theme: gaia
class: [lead, invert]
---
# KSZKépzés Linux
Tóth Miklós

---
<!-- class: [invert] --> 

## Mi is a Linux?

- kernel
    - de! GNU/Linux már OS
- disztrók
- GUI
- CLI

---

## CLI

*Command Line Interface*

- terminál
- shell
    - sh
    - bash
    - zsh
    - fish

---

## Shelles fogalmak

- kapcsolók `rm -rf`
- redirekció `ls > fajllista.txt`
- piping `cat alma.txt | grep körte`
- shell execution `echo a mappa tartalma: $(ls)`

---

## Szövegszerkesztők

- nano
- vi, vim, nvim

---

## Gyakori parancsok

- ls
- man
- cat
- echo
- cd
- mkdir
- rm
- rmdir
- touch

---

## Csomagkezelés

- Mi a csomag?
- Hogyan telepítünk programokat Linuxon?
- Miért jó ez?
- Hogy működik az `apt`?

---

## Fájlkezelés

- `/` jel van `\` helyett
- nincs `C:\`, hanem `/`-ből indul minden
- `/etc`, `/dev`, `/home`, `/bin`, `/lib`, `/proc`, stb.
- `../`, `./`, `~`, `~bela`

---

## Jogosultságok

- `user`, `group`, `others`
- `rwx` hármasok
- `setuid`, `setgid`, `sticky bit`
- `chmod`, `chown`, `chgrp`

---

## UNIX elvek

- KISS
- Everything is a file

---

## Architektúra

- Bootloader
- Kernel
- Init rendszer
- "Userland"

---

## Felhasználókezelés

- `useradd`, `usermod`, `userdel`
- (`adduser`, `deluser`)
- `passwd`
- `sudo`

---

## Csoportok

- `groups`
- `groupadd`, `groupdel`
- `usermod`
- `gpasswd`

---

## Init rendszer, systemd

- Miért?
- Mi egy service?
- systemctl
- journalctl

---

## Hálózat

- `ip address`, `ip addr add`
- `ip route`, `ip route add`
- hálózatkezelők, `NetworkManager`

---

## SSH

- secure remote shell
- kulcsok
- sok egyéb okos feature